godo.NfsActions.SwitchPerformanceTier()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.NfsActions.SwitchPerformanceTier(ctx context.Context, nfsShareId string, tier string) (*godo.NfsAction, *godo.Response, error)Description
Switch performance tier of an NFS share
This method sends a POST request to /v2/nfs/{}/actions.
Parameters
nfsShareIdstring requiredtierstring required
Returns
- *godo.NfsAction
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.NfsAction
NfsAction represents an NFS action
IDstringStatusstringTypestringStartedAt*godo.TimestampCompletedAt*godo.TimestampResourceIDstringResourceTypestringRegion*godo.RegionRegionSlugstring
Request Sample
Response Example
More Information
See POST /v2/nfs/{}/actions in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.